Manage Channel Members

Get Channel Members

GET https://api.talkplus.io/v1.4/api/channels/:channelId/members

Path Parameters

Name
Type
Description

channelId*

string

Query Parameters

Name
Type
Description

lastUserId

string

Last member user ID to query from (use for pagination)

limit

integer

default: 50

Headers

Name
Type
Description

app-id*

string

App ID

api-key*

string

App API key

{
  "members": [
    {
      "id": "user123",
      "username": "john",
      "profileImageUrl": "http://cnd.test.com/123.jpg",
      "data": {},
      "memberInfo": {},
      "lastReadAt": 1583924400,
      "lastSentAt": 1583924400,
      "updatedAt": 1583924400,
      "createdAt": 1583921400
    }
  ],
  "hasNext": false
}

Get Channel Member

GET https://api.talkplus.io/v1.4/api/channels/:channelId/members/:memberId

Path Parameters

Name
Type
Description

channelId*

string

memberId*

string

Headers

Name
Type
Description

app-id*

string

App ID

api-key*

string

App API key

Add Channel Members

POST https://api.talkplus.io/v1.4/api/channels/:channelId/members/add

Path Parameters

Name
Type
Description

channelId*

string

Headers

Name
Type
Description

content-type

string

application/json

app-id*

string

App ID

api-key*

string

App API key

Request Body

Name
Type
Description

members*

array

users to add

Remove Channel Members

POST https://api.talkplus.io/v1.4/api/channels/:channelId/members/remove

Path Parameters

Name
Type
Description

channelId*

string

Headers

Name
Type
Description

content-type

string

application/json

app-id*

string

App ID

api-key*

string

App API key

Request Body

Name
Type
Description

members*

array

users to remove

Get Users Banned from Channel

GET https://api.talkplus.io/v1.4/api/channels/:channelId/members/banned

Path Parameters

Name
Type
Description

channelId*

string

Query Parameters

Name
Type
Description

lastUserId

string

Last user ID to query from (use for pagination)

limit

integer

default: 50

Headers

Name
Type
Description

app-id*

string

App ID

api-key*

string

App API key

Ban Channel Members

POST https://api.talkplus.io/v1.4/api/channels/:channelId/members/ban

Path Parameters

Name
Type
Description

channelId*

string

Headers

Name
Type
Description

content-type

string

application/json

app-id*

string

App ID

api-key*

string

App API key

Request Body

Name
Type
Description

members*

array

users to ban

Unban Users from Channel

POST https://api.talkplus.io/v1.4/api/channels/:channelId/members/unban

Path Parameters

Name
Type
Description

channelId*

string

Headers

Name
Type
Description

content-type

string

application/json

app-id*

string

App ID

api-key*

string

App API key

Request Body

Name
Type
Description

members*

array

users to unban

Get Muted Channel Members

GET /v1.4/api/channels/:channelId/members/muted

Path Parameters

Name
Type
Description

channelId*

string

Query Parameters

Name
Type
Description

lastUserId

string

Last member user ID to query from (use for pagination)

limit

integer

default: 50

Headers

Name
Type
Description

app-id*

string

App ID

api-key*

string

App API key

Mute Channel Members

POST https://api.talkplus.io/v1.4/api/channels/:channelId/members/mute

Path Parameters

Name
Type
Description

channelId*

string

Headers

Name
Type
Description

content-type

string

application/json

app-id*

string

App ID

api-key*

string

App API key

Request Body

Name
Type
Description

members*

array

users to mute

expireInMinutes

int

expireInMinutes allows you to mute another channel member for a specified number of minutes. Mute status is then cancelled after specified number of minutes. Default value for

expireInMinutesis 0 (no automatic cancellation)

Unmute Channel Members

POST https://api.talkplus.io/v1.4/api/channels/:channelId/members/unmute

Path Parameters

Name
Type
Description

channelId*

string

Headers

Name
Type
Description

content-type

string

application/json

app-id*

string

App ID

api-key*

string

App API key

Request Body

Name
Type
Description

members*

array

users to unmute

Mute All Channel Members (except owner)

POST https://api.talkplus.io/v1.4/api/channels/:channelId/members/mute/all

Path Parameters

Name
Type
Description

channelId*

string

Headers

Name
Type
Description

content-type

string

application/json

app-id*

string

App ID

api-key*

string

App API key

Enable Channel Push Notification for Member

POST https://api.talkplus.io/v1.4/api/channels/:channelId/members/:memberId/push/enable

Path Parameters

Name
Type
Description

channelId*

string

memberId*

string

Headers

Name
Type
Description

content-type

string

application/json

app-id*

string

App ID

api-key*

string

App API key

Disable Channel Push Notification for Member

POST https://api.talkplus.io/v1.4/api/channels/:channelId/members/:memberId/push/disable

Path Parameters

Name
Type
Description

channelId*

string

memberId*

string

Headers

Name
Type
Description

content-type

string

application/json

app-id*

string

App ID

api-key*

string

App API key

Last updated